/* Lista que "precompila" la expresin a evaluar */
class NodoExprCompleja
{
    /* Tipo de informacin de la expresin guardada:
     * 0 es solo un numero y operador. Ejemplo: 3 +
     * 1 es una variable y un operador. Ejemplo: Y *
     * 2 es un acumulador y un operador. Ejemplo: <17> -
     */
    public char cTipo;
    
    public double fNumero;
    public char cVariable;
    public int iAcumulador;
    
    public char cOperador;
    public NodoExprCompleja Flecha;

    //Constructor 1
    public NodoExprCompleja(char cTipo, double fNumero, char cVariable, int iAcumulador, char cOperador)	
    {
    	this.cTipo = cTipo;
    	this.fNumero = fNumero;
    	this.cVariable = cVariable;
    	this.iAcumulador = iAcumulador;
    	this.cOperador = cOperador;
		this.Flecha = null;
    }

    //Constructor 2
    public NodoExprCompleja(char cTipo, double fNumero, char cVariable, int iAcumulador, char cOperador, NodoExprCompleja objNodo)	
    {
    	this.cTipo = cTipo;
    	this.fNumero = fNumero;
    	this.cVariable = cVariable;
    	this.iAcumulador = iAcumulador;
    	this.cOperador = cOperador;
		this.Flecha = objNodo;
    }
}
