/* Tiene toda la lista de los acumulados 
 * 
 * Ejemplo:  7 - (x * y) + 20 / (3 - z) + 6 + (w / z * 4)
 *
 * @1: w / z * 4
 * @2: 3 - z
 * @3: x * y
 * @4: 7 - @3 + 20 / @2 + 6 + @1
 *
 */
class NodoBus
{
	int iCodigo;
	char cFuncion; //Funciones como seno, coseno, tangente, ...
	NodoExprCompleja objComplejo;
	NodoBus FlechaI;
	NodoBus FlechaD;
	
	public NodoBus()
    {
        this.FlechaI = null;
        this.FlechaD = null;
    }

    public NodoBus(NodoBus objNodo)
    {
        this.FlechaI = objNodo;
        this.FlechaD = null;
        objNodo.FlechaD = this; /* OJO a esto */
    }
	
	public void vAdiciona(char cTipo, float fNumero, char cVariable, int iAcumulador, char cOperador)	
	{
		objComplejo = new NodoExprCompleja(cTipo, fNumero, cVariable, iAcumulador, cOperador, objComplejo);		
	}
}
